/* CSS Styles */
* {
    font-family: "Didact Gothic", sans-serif;
    box-sizing: border-box;
}
body {
    background-color: #eaf3fc;
    background-image: url(images/paisley.png);
    margin: 0;
}
h1{
    font-size: 2.5rem;
    color: dimgray;
}
h2{
    font-size: 2rem;
    color: dimgray;
}
p, ul, ol{
    font-size: 1rem;
    color: dimgray;
}
img {
    max-width: 100%;


}
a:link {
    color: black;
    text-decoration: none;
}
a:hover, a:visited {
    color: rgb(196, 164, 226);
    text-decoration: underline;
}

/*Button Style */
.button a:link, .button a:visited {
    color: #666;
    border: #666 thin solid;
    padding: 10px;
    display: block; 
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
}
.button a:hover {
border: #000 thin solid; 
color: white;
background-color: #000;

}

/*Header Styles*/
header {
    background-color: #000;
    display: grid; 
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
    padding: 0 5%;
    text-transform: uppercase;
    height: 90px;
}
header h1 {
    grid-column: 1 / span 6;
    margin-top: 15px;
}
header h1 a:link,
header h1 a:hover,
header h1 a:visited  {
    color: white;
    text-decoration: none;
}
header nav {
    grid-column: 7 / span 6;
}
header nav ul {
    display: flex; 
    justify-content: flex-end;
    list-style-type: none;
    padding: 0;
    margin-top: 30px;
}
header nav li a:link,
header nav li a:hover,
header nav li a:visited  {
    color: white;
    text-decoration: none;
    font-size: 1.5rem;
    padding: 0 2rem;
}

.photo {
    width: 300px;
}

.container {
    background-color: white;
    width: 90%;
    max-width: 1000px;
    margin: 0 auto ;
    padding: 35px 5% 0 5%;
}

/*Homepage and project content styles*/
.home {
    display: grid; 
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
}
.about {
    grid-column: 1 / span 8;
    padding: 0 5% 2rem 0;
}
.photo {
    grid-column: 9 / span 4;
}
.project_image {
    grid-column: 1 / span 6;

}
.project_text{
    grid-column: 7 / span 6;

}
.project_video {
    grid-column: 1/ span 12
  
   
}
/*Work Page Content Styles*/
.work {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.work div {
    text-align: center;
    padding: 0 5% 5% 5%;

}
/* Footer Styles */
footer {
    text-align: center;
    padding: 1.5rem;
    margin: .5rem 3.5rem;
    border-top: #666 solid thin;
}
footer ul {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}
footer ul a {
    display: block;
    padding: 0 0.5rem;
}


/*Media Queries for responsive website */
@media (max-width: 659px) {
    .about, .photo {
        grid-column: 1 / span 12;
    }
    .work {
        display: grid;
        grid-template-columns: repeat(1,1fr);
    }
    .project_image, .project_text {
        grid-column: 1 / span 12;
    }
}
header {
    background-color: #000;
    display: grid; 
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
    padding: 0 5%;
    text-transform: uppercase;
    height: 100px;
}
header h1 {
    grid-column: 1 / span 9 ;
    margin-top: 15px;
}
header nav {
    grid-column: 11 / span 1;

}
@media (max-width: 551px) {
header h1 {
    grid-column: 1 / span 10 ;
    margin-top: 15px;
}
header nav {
    grid-column: 11 / span 1;
}
}
@media (max-width: 511px) {
header h1 {
    grid-column: 1 / span 10 ;
    margin-top: 20px;
    font-size: 2rem;
}
header nav {
    grid-column: 11 / span 1;
}
}
@media (max-width: 439px) {
header h1 {
    grid-column: 1 / span 11 ;
    margin-top: 25px;
    font-size: 1.5rem;
}
header nav {
    grid-column: 12 / span 1;
}
}
/*Link Box*/

    .link-box {
      width: 400px;
      padding: 20px;
      border: 2px solid #333;
      display: flex;
      border-radius: 10px;
      text-align: center;
      align-items: center;
      justify-content: center;
      background-color: #f4f4f4;
      box-shadow: 2px 2px 8px rgba(0,0,0,0.2);
      margin: 100px auto;
    }

    .link-box a {
      display: inline-block;
      text-decoration: none;
      font-size: 18px;
      color: #0073e6;
      font-weight: bold;
      transition: color 0.3s;

    }

    .link-box a:hover {
      color: #ff6600;
    }
